Draft Bogen 3Punkte

From FreeCAD Documentation
Revision as of 20:16, 12 March 2023 by FBXL5 (talk | contribs) (Created page with "Zum Erstellen eines Draft-Bogens durch 3 Punkte wird die Methode {{incode|make_arc_3points}} des Draft-Moduls verwendet:")

Draft Bogen 3Punkte

Menüeintrag
Entwurf → Bogenwerkzeuge → Bogen aus 3 Punkten
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
A T
Eingeführt in Version
0.19
Siehe auch
Draft Bogen, Draft Kreis

Beschreibung

Das Werkzeug Draft Bogen 3Punkte erstellt einen Kreisbogen auf der aktuellen Arbeitsebene durch Eingabe von drei Punkten, die auf dem Umfang liegen; aus diesen drei Punkten werden Mittelpunkt und Radius bestimmt.

Ein Draft-Bogen ist eigentlich ein Draft-Kreis mit einer Daten-EigenschaftFirst Angle die nicht identisch ist mir der Daten-EigenschaftLast Angle.

Ein durch drei auf dem Umfang liegende Punkte festgelegter Bogen

Anwendung

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Drücke die Taste Draft Arc 3Points Taste, oder drücke A dann T Tasten.
  2. Klicke auf einen ersten Punkt in der 3D-Ansicht, oder gib eine Koordinate and press the Punkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D-Ansicht, oder gib eine Koordinate und drücke die Punkt hinzufügen Taste.
  4. Klicke auf einen dritten Punkt in der 3D-Ansicht, oder gib eine Koordinate und drücke die Punkt hinzufügen Taste.
  5. Der Bogen wird erstellt, nachdem der dritte Punkt angegeben wurde.

Optionen

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs. introduced in version 0.20
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Hinweise

  • A Draft Arc can be edited with the Draft Edit command.

Einstellungen

Siehe auch: Voreinstellungseditor und Draft Einstellungen.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a non-editable Part Feature instead of a Draft Circle.

Eigenschaften

Siehe Draft Kreis.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Zum Erstellen eines Draft-Bogens durch 3 Punkte wird die Methode make_arc_3points des Draft-Moduls verwendet:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Creates an arc object from the given points list.
  • If a placement is given, the center of the circular arc will be moved to this place. See Placement for more information.
  • If face is True, the arc will make a face, that is, it will appear filled.
  • If support is given, it is a LinkSubList, that is, a list indicating an object and a subelement of that object. This is used so that the object appears referenced to this support.
For example: support=[(obj, ("Face1"))].
  • If map_mode is given, it is a string defining a type of mapping, for example: map_mode='FlatFace', map_mode='ThreePointsPlane', etc. See Part EditAttachment for more information.
  • If primitive is True, the arc created will be a simple Part Feature, not a complex Draft object.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = Draft.make_arc_3points(points)

doc.recompute()